Index: channels/chan_zap.c
===================================================================
--- channels/chan_zap.c	(revision 112555)
+++ channels/chan_zap.c	(working copy)
@@ -281,7 +281,7 @@
 #define MASK_INUSE		(1 << 1)	/*!< Channel currently in use */
 
 #define CALLWAITING_SILENT_SAMPLES	( (300 * 8) / READ_SIZE) /*!< 300 ms */
-#define CALLWAITING_REPEAT_SAMPLES	( (10000 * 8) / READ_SIZE) /*!< 300 ms */
+#define CALLWAITING_REPEAT_SAMPLES	( (20000 * 8) / READ_SIZE) /*!< 300 ms */
 #define CIDCW_EXPIRE_SAMPLES		( (500 * 8) / READ_SIZE) /*!< 500 ms */
 #define MIN_MS_SINCE_FLASH			( (2000) )	/*!< 2000 ms */
 #define DEFAULT_RINGT 				( (8000 * 8) / READ_SIZE)
@@ -1754,19 +1754,19 @@
 		ast_log(LOG_WARNING, "Spill already exists?!?\n");
 		free(p->cidspill);
 	}
-	if (!(p->cidspill = ast_malloc(2400 /* SAS */ + 680 /* CAS */ + READ_SIZE * 4)))
+	if (!(p->cidspill = ast_malloc(1200 /* SAS */ + 680 /* CAS */ + READ_SIZE * 4)))
 		return -1;
 	save_conference(p);
 	/* Silence */
-	memset(p->cidspill, 0x7f, 2400 + 600 + READ_SIZE * 4);
+	memset(p->cidspill, 0x7f, 1200 + 600 + READ_SIZE * 4);
 	if (!p->callwaitrings && p->callwaitingcallerid) {
-		ast_gen_cas(p->cidspill, 1, 2400 + 680, AST_LAW(p));
+		ast_gen_cas(p->cidspill, 1, 1200 + 680, AST_LAW(p));
 		p->callwaitcas = 1;
-		p->cidlen = 2400 + 680 + READ_SIZE * 4;
+		p->cidlen = 1200 + 680 + READ_SIZE * 4;
 	} else {
-		ast_gen_cas(p->cidspill, 1, 2400, AST_LAW(p));
+		ast_gen_cas(p->cidspill, 1, 1200, AST_LAW(p));
 		p->callwaitcas = 0;
-		p->cidlen = 2400 + READ_SIZE * 4;
+		p->cidlen = 1200 + READ_SIZE * 4;
 	}
 	p->cidpos = 0;
 	send_callerid(p);
Index: main/callerid.c
===================================================================
--- main/callerid.c	(revision 112555)
+++ main/callerid.c	(working copy)
@@ -235,7 +235,7 @@
 int ast_gen_cas(unsigned char *outbuf, int sendsas, int len, int codec)
 {
 	int pos = 0;
-	int saslen=2400;
+	int saslen=1200;
 	float cr1 = 1.0;
 	float ci1 = 0.0;
 	float cr2 = 1.0;
